CREATE TABLE ACCESS_GROUP (
	ID_ACCESS_GROUP NUMBER NOT NULL,
	CODE VARCHAR2(50 CHAR),
	DESCRIPTION VARCHAR2(100 CHAR),
	ACTIVE VARCHAR2(1 CHAR),
	CONSTRAINT ACCESS_GROUP_PK PRIMARY KEY (ID_ACCESS_GROUP)
);

CREATE SEQUENCE ACCESS_GROUP_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE ACCESS_DATA (
	ID_ACCESS_DATA NUMBER NOT NULL,
	NCARD NUMBER,
	ID_ACCESS_GROUP NUMBER,
	DATE_FROM DATE,
	DATE_TO DATE,
	ACTIVE VARCHAR2(1 CHAR),
	CONSTRAINT ACCESS_DATA_PK PRIMARY KEY (ID_ACCESS_DATA),
  CONSTRAINT ACCESS_DATA_NCARD_FK FOREIGN KEY (NCARD) REFERENCES NCARD(NCARD),
  CONSTRAINT ACCESS_DATA_ACCESS_GROUP_FK FOREIGN KEY (ID_ACCESS_GROUP) REFERENCES ACCESS_GROUP(ID_ACCESS_GROUP)
);

CREATE SEQUENCE ACCESS_DATA_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE INDEX IX_ACCESS_DATA_NCARD ON ACCESS_DATA (NCARD);
CREATE INDEX IX_ACCESS_DATA_ID_ACCESS_GROUP ON ACCESS_DATA (ID_ACCESS_GROUP);

CREATE OR REPLACE VIEW V_ACCESS_DATA AS (
  SELECT AD.ID_ACCESS_DATA, AD.NCARD, AD.ID_ACCESS_GROUP, AD.DATE_FROM, AD.DATE_TO, AD.ACTIVE, 
  NC.SERIALNUMBER AS CARD_NUMBER, AG.DESCRIPTION AS ACCESS_GROUP_DESCRIPTION
  FROM ACCESS_DATA AD
  LEFT OUTER JOIN ACCESS_GROUP AG ON AG.ID_ACCESS_GROUP = AD.ID_ACCESS_GROUP
  LEFT OUTER JOIN NCARD NC ON NC.NCARD = AD.NCARD
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1446, SYSDATE, '5.5', 1366, 'Access')
;
