CREATE TABLE ASSISTANCE_STATUS (
  ID_ASSISTANCE_STATUS NUMBER NOT NULL,
  DESCRIPTION VARCHAR2(100 CHAR),
  INTERNAL_DESCRIPTION VARCHAR2(100 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT ASSISTANCE_STATUS_PK PRIMARY KEY (ID_ASSISTANCE_STATUS)
);

INSERT INTO ASSISTANCE_STATUS(ID_ASSISTANCE_STATUS, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(-1, 'Cancelled', 'Cancelled', 'Y');

INSERT INTO ASSISTANCE_STATUS(ID_ASSISTANCE_STATUS, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(1, 'Open', 'Open', 'Y');

INSERT INTO ASSISTANCE_STATUS(ID_ASSISTANCE_STATUS, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(2, 'Confirmed', 'Confirmed', 'Y');


CREATE SEQUENCE ASSISTANCE_STATUS_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 20 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE ASSISTANCE
ADD STATUS NUMBER CONSTRAINT ASSISTANCE_STATUS_FK REFERENCES ASSISTANCE_STATUS(ID_ASSISTANCE_STATUS);

CREATE INDEX IX_ASSISTANCE_STATUS ON ASSISTANCE (STATUS);

DROP VIEW V_ASSISTANCE;

CREATE OR REPLACE VIEW V_ASSISTANCE
AS (
SELECT A.ID, A.ID_LASTNIKA, A.ASSISTANCE_TYPE, A.STATUS, A.ASSISTANCE_DATE, A.ASSISTANCE_COMMENT, 
S.DESCRIPTION AS STATUS_DESCRIPTION, N.OPIS AS NNASSISTANCE_OPIS, N.INTERNI_OPIS AS NNASSISTANCE_INTERNI_OPIS, N.ALARM AS NNASSISTANCE_ALARM, N.EMAIL AS NNASSISTANCE_EMAIL,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.VRSTA AS KUPCI_VRSTA, K.MANAGER AS KUPCI_MANAGER, K.NDRZAVA AS KUPCI_NDRZAVA, K.KODA_JEZIKA AS KUPCI_KODA_JEZIKA,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM ASSISTANCE A
LEFT OUTER JOIN NNASSISTANCE N ON N.ID = A.ASSISTANCE_TYPE
LEFT OUTER JOIN ASSISTANCE_STATUS S ON S.ID_ASSISTANCE_STATUS = A.STATUS
LEFT OUTER JOIN KUPCI K ON A.ID_LASTNIKA = K.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2116, SYSDATE, '5.5', 2036, 'Assistance status')
;
